Description

Cuando se ejecuta el geoproceso de "Agrupar por un campo" salta el error "Attribute name 'AREA' not found in the feature" (AREA es

el nombre del campo en ese caso para aplicar una funcién SUMA por ejemplo).

Relaciono este ticket con el https://redmine.gvsig.net/redmine/issues/5539

aungue el otro era un error anterior relacionado con el tamafio del nombre de los campos. Si es un nombre pequefio no salta el otro

error y salta después el de "Attribute name 'AREA' not found in the feature"

Adjunto log

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5539: Error de tamarfio de...

Closed 02/25/2021

Associated revisions

Revision 2883 - 12/15/2022 01:43 PM - Francisco Diaz Carsi

refs #5540, Arreglado el valor maximo del tamafo del nombre de campo en TrimNamesTranslator

Revision 2884 - 12/15/2022 01:44 PM - Francisco Diaz Carsi

refs #5540, Modificado el método compara para que trabaje correctamente con Number

Revision 1849 - 12/15/2022 01:46 PM - Francisco Diaz Carsi

refs #5540, Corregidos problemas con los tipos de datos y la longitud de los nombres de los campos

Revision 46896 - 12/16/2022 11:36 AM - Francisco Diaz Carsi

refs #5540, Corregidos problemas con los tipos de datos y la longitud de los nombres de los campos

History

#1 - 02/25/2021 05:41 PM - Mario Carrera
https://redmine.gvsig.net/redmine/issues/5539

- Related to gvSIG bugs #5539: Error de tamafio de nombre de campo al ejecutar el geoproceso "Agrupar por un campo” added

#2 - 01/19/2023 07:54 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed

Se han encontrado dos problemas.

Por un lado habia un problema con la longitud de los nombres de campos que se generaban, ya que acababan teniendo una longitud mayor que la
soportada por un shape debido a que se les afiadia un sufijo con la operacién de agrupacién que se realizaba. Hemos utilizado la herramienta de
translacion de nombres de campos para conseguir nombres Unicos de no mas de 10 caracteres y hemos pasado de sufijo a prefijo el indicador del
nombre de la operacion.

Por otro lado hemos observado que cuando se comparaban valores para realizar la agrupacion, si estos no eran numéricos o eran de tipo Decimal la
realizaba de forma errénea o daba directamente un error. Hemos preparado un mecanismo de comparacion de nimeros, independientemente del tipo

concreto que tengan los operandos de la comparacion y lo hemos usado en este punto.

#3 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed
